summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorUlrich Müller <ulm@gentoo.org>2017-01-15 09:46:18 +0100
committerUlrich Müller <ulm@gentoo.org>2017-01-15 09:50:20 +0100
commit2102d54e9823370f06bbaac2664399b0ab2a2f21 (patch)
tree120b07e94c9ba116c0ee95f10d17d2f62d5d22d2 /sci-visualization
parentnet-analyzer/speedtest-cli: version bump to 1.0.1 (diff)
downloadgentoo-2102d54e9823370f06bbaac2664399b0ab2a2f21.tar.gz
gentoo-2102d54e9823370f06bbaac2664399b0ab2a2f21.tar.bz2
gentoo-2102d54e9823370f06bbaac2664399b0ab2a2f21.zip
sci-visualization/gnuplot: Revert uncalled-for cosmetic changes.
- Restore canonical ordering of KEYWORDS (first by OS, then by arch). - Avoid an overlong line and undesired Emacs hilighting in src_prepare. - default_src_install does more than emake install and may install spurious doc files. Package-Manager: Portage-2.3.3, Repoman-2.3.1
Diffstat (limited to 'sci-visualization')
-rw-r--r--sci-visualization/gnuplot/gnuplot-5.0.5.ebuild11
-rw-r--r--sci-visualization/gnuplot/gnuplot-5.0.9999.ebuild11
-rw-r--r--sci-visualization/gnuplot/gnuplot-5.1.9999.ebuild11
3 files changed, 21 insertions, 12 deletions
diff --git a/sci-visualization/gnuplot/gnuplot-5.0.5.ebuild b/sci-visualization/gnuplot/gnuplot-5.0.5.ebuild
index 107cac8a01b..c682ff4aa91 100644
--- a/sci-visualization/gnuplot/gnuplot-5.0.5.ebuild
+++ b/sci-visualization/gnuplot/gnuplot-5.0.5.ebuild
@@ -22,7 +22,7 @@ if [[ -z ${PV%%*9999} ]]; then
else
MY_P="${P/_/.}"
SRC_URI="mirror://sourceforge/gnuplot/${MY_P}.tar.gz"
- KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc-aix ~ppc64 ~s390 ~sparc ~x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
+ KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sparc ~x86 ~ppc-aix ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
fi
LICENSE="gnuplot bitmap? ( free-noncomm )"
@@ -71,6 +71,7 @@ PATCHES=( "${FILESDIR}"/${PN}-5.0.1-fix-underlinking.patch )
src_prepare() {
default
+
if [[ -z ${PV%%*9999} ]]; then
local dir
for dir in config demo m4 term tutorial; do
@@ -84,7 +85,9 @@ src_prepare() {
# hacky workaround
# Please hack the buildsystem if you like
- use prefix && use qt4 && append-ldflags -Wl,-rpath,"${EPREFIX}"/usr/$(get_libdir)/qt4
+ if use prefix && use qt4; then
+ append-ldflags -Wl,-rpath,"${EPREFIX}"/usr/$(get_libdir)/qt4
+ fi
DOC_CONTENTS='Gnuplot no longer links against pdflib, see the ChangeLog
for details. You can use the "pdfcairo" terminal for PDF output.'
@@ -98,7 +101,7 @@ src_prepare() {
environment variables. See the FAQ file in /usr/share/doc/${PF}/
for more information.'
- mv configure.{in,ac} || die
+ mv configure.in configure.ac || die
eautoreconf
# Make sure we don't mix build & host flags.
@@ -166,7 +169,7 @@ src_compile() {
}
src_install () {
- default
+ emake DESTDIR="${D}" install
dodoc BUGS ChangeLog NEWS PGPKEYS PORTING README*
newdoc term/PostScript/README README-ps
diff --git a/sci-visualization/gnuplot/gnuplot-5.0.9999.ebuild b/sci-visualization/gnuplot/gnuplot-5.0.9999.ebuild
index b5c6063ab67..4570b60feb5 100644
--- a/sci-visualization/gnuplot/gnuplot-5.0.9999.ebuild
+++ b/sci-visualization/gnuplot/gnuplot-5.0.9999.ebuild
@@ -22,7 +22,7 @@ if [[ -z ${PV%%*9999} ]]; then
else
MY_P="${P/_/.}"
SRC_URI="mirror://sourceforge/gnuplot/${MY_P}.tar.gz"
- KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc-aix ~ppc64 ~s390 ~sparc ~x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
+ KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sparc ~x86 ~ppc-aix ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
fi
LICENSE="gnuplot bitmap? ( free-noncomm )"
@@ -71,6 +71,7 @@ PATCHES=( "${FILESDIR}"/${PN}-5.0.1-fix-underlinking.patch )
src_prepare() {
default
+
if [[ -z ${PV%%*9999} ]]; then
local dir
for dir in config demo m4 term tutorial; do
@@ -84,7 +85,9 @@ src_prepare() {
# hacky workaround
# Please hack the buildsystem if you like
- use prefix && use qt4 && append-ldflags -Wl,-rpath,"${EPREFIX}"/usr/$(get_libdir)/qt4
+ if use prefix && use qt4; then
+ append-ldflags -Wl,-rpath,"${EPREFIX}"/usr/$(get_libdir)/qt4
+ fi
DOC_CONTENTS='Gnuplot no longer links against pdflib, see the ChangeLog
for details. You can use the "pdfcairo" terminal for PDF output.'
@@ -98,7 +101,7 @@ src_prepare() {
environment variables. See the FAQ file in /usr/share/doc/${PF}/
for more information.'
- mv configure.{in,ac} || die
+ mv configure.in configure.ac || die
eautoreconf
# Make sure we don't mix build & host flags.
@@ -166,7 +169,7 @@ src_compile() {
}
src_install () {
- default
+ emake DESTDIR="${D}" install
dodoc BUGS ChangeLog NEWS PGPKEYS PORTING README*
newdoc term/PostScript/README README-ps
diff --git a/sci-visualization/gnuplot/gnuplot-5.1.9999.ebuild b/sci-visualization/gnuplot/gnuplot-5.1.9999.ebuild
index a8e8c6b05a1..185a8e6d47a 100644
--- a/sci-visualization/gnuplot/gnuplot-5.1.9999.ebuild
+++ b/sci-visualization/gnuplot/gnuplot-5.1.9999.ebuild
@@ -22,7 +22,7 @@ if [[ -z ${PV%%*9999} ]]; then
else
MY_P="${P/_/.}"
SRC_URI="mirror://sourceforge/gnuplot/${MY_P}.tar.gz"
- KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc-aix ~ppc64 ~s390 ~sparc ~x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
+ KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sparc ~x86 ~ppc-aix ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
fi
LICENSE="gnuplot bitmap? ( free-noncomm )"
@@ -69,6 +69,7 @@ TEXMF="${EPREFIX}/usr/share/texmf-site"
src_prepare() {
default
+
if [[ -z ${PV%%*9999} ]]; then
local dir
for dir in config demo m4 term tutorial; do
@@ -82,7 +83,9 @@ src_prepare() {
# hacky workaround
# Please hack the buildsystem if you like
- use prefix && use qt4 && append-ldflags -Wl,-rpath,"${EPREFIX}"/usr/$(get_libdir)/qt4
+ if use prefix && use qt4; then
+ append-ldflags -Wl,-rpath,"${EPREFIX}"/usr/$(get_libdir)/qt4
+ fi
DOC_CONTENTS='Gnuplot no longer links against pdflib, see the ChangeLog
for details. You can use the "pdfcairo" terminal for PDF output.'
@@ -96,7 +99,7 @@ src_prepare() {
environment variables. See the FAQ file in /usr/share/doc/${PF}/
for more information.'
- mv configure.{in,ac} || die
+ mv configure.in configure.ac || die
eautoreconf
# Make sure we don't mix build & host flags.
@@ -164,7 +167,7 @@ src_compile() {
}
src_install () {
- default
+ emake DESTDIR="${D}" install
dodoc BUGS ChangeLog NEWS PGPKEYS PORTING README*
newdoc term/PostScript/README README-ps